---
title: List objects
slug: data-platform/api/list-objects
docTags: 
createdAt: 2026-09-02T14:41:00.110Z
---

{
  "id": "CdmRwX1hS-c7YyltcB2Eu",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.us1.odp.optimizely.com/v3/schema/objects",
    "servers": [
      {
        "url": "https://api.us1.odp.optimizely.com/v3/schema/objects",
        "description": "United States"
      },
      {
        "url": "https://api.eu1.odp.optimizely.com/v3/schema/objects",
        "description": "Europe"
      },
      {
        "url": "https://api.au1.odp.optimizely.com/v3/schema/objects",
        "description": "Asia-Pacific"
      }
    ],
    "name": "List objects",
    "description": "<p>List the details of all objects within an Optimizely Data Platform (ODP) account.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "x-api-key",
          "name": "x-api-key",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "example": "[{\"name\":\"tickets\",\"display_name\":\"Tickets\",\"alias\":\"ticket\",\"fields\":[{\"name\":\"field_name\",\"type\":\"number\",\"display_name\":\"Display Name\",\"primary\":true}],\"relations\":[{\"name\":\"my_relation\",\"display_name\":\"My Relationship\",\"child_object\":\"target_object_name\",\"join_fields\":[{\"parent\":\"child_id\",\"child\":\"child_id\"}]}]},{\"name\":\"concerts\",\"display_name\":\"Concerts\",\"alias\":\"concert\",\"fields\":[{\"name\":\"field_name\",\"type\":\"number\",\"display_name\":\"Display Name\",\"primary\":true}],\"relations\":[{\"name\":\"my_relation\",\"display_name\":\"My Relationship\",\"child_object\":\"target_object_name\",\"join_fields\":[{\"parent\":\"child_id\",\"child\":\"child_id\"}]}]}]",
            "description": "",
            "customType": "Object[]",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "<p>the plural name of the object (for example, tickets)</p>"
              },
              {
                "name": "display_name",
                "kind": "required",
                "type": "string",
                "description": "<p>the human-readable name of the object (for example, Tickets)</p>"
              },
              {
                "name": "public_read",
                "kind": "required",
                "type": "boolean",
                "description": "enable access with the API public key",
                "default": false
              },
              {
                "name": "alias",
                "kind": "required",
                "type": "string",
                "description": "<p>the singular name of the object (for example, ticket)</p>"
              },
              {
                "name": "fields",
                "kind": "required",
                "type": "array",
                "description": "an array of fields objects",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "object_id"
                  },
                  {
                    "name": "display_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "New Object Identifier"
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "string"
                  },
                  {
                    "name": "primary",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": true,
                    "default": true
                  }
                ]
              },
              {
                "name": "relations",
                "kind": "optional",
                "type": "array",
                "description": "an array of relations objects",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "my_relation"
                  },
                  {
                    "name": "display_name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "My Relationship"
                  },
                  {
                    "name": "child_object",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "child"
                  },
                  {
                    "name": "join_fields",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "parent",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "child_id"
                      },
                      {
                        "name": "child",
                        "kind": "optional",
                        "type": "string",
                        "description": "",
                        "example": "child_id"
                      }
                    ]
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/Object",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Bad Request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "aaKq5QToo855_frXqfyZu",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.us1.odp.optimizely.com/v3/schema/objects \\\n     --header 'accept: application/json'"
        },
        {
          "id": "kFInH1JwQHLx7BYkXQ5O5",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.us1.odp.optimizely.com/v3/schema/objects\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "fl7GszZ2j1LaibPXV1s_i",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.us1.odp.optimizely.com/v3/schema/objects\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "wrnFmR5-BCzoK5gQbhzCS",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.us1.odp.optimizely.com/v3/schema/objects\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "aaKq5QToo855_frXqfyZu"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"name\": \"\",\n    \"display_name\": \"\",\n    \"public_read\": false,\n    \"alias\": \"\",\n    \"fields\": [\n      {\n        \"name\": \"object_id\",\n        \"display_name\": \"New Object Identifier\",\n        \"type\": \"string\",\n        \"primary\": true\n      }\n    ],\n    \"relations\": [\n      {\n        \"name\": \"my_relation\",\n        \"display_name\": \"My Relationship\",\n        \"child_object\": \"child\",\n        \"join_fields\": [\n          {\n            \"parent\": \"child_id\",\n            \"child\": \"child_id\"\n          }\n        ]\n      }\n    ]\n  }\n]"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Bad Request\n{}"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}